-----------------------------------------------------------------------------------------
--
-- main.lua
--
-----------------------------------------------------------------------------------------

-- ステータスバーを消す
display.setStatusBar(display.HiddenStatusBar)


-----------------------------------------------------------------------------------------
-- 関数名 : GetDayOfWeekText
-- 内  容 : 曜日の文字列を取得する
-- 戻り値 : 日本語の曜日の文字列
-----------------------------------------------------------------------------------------
local function GetDayOfWeekText(num)
    if (num == 1) then
        return "日曜日"
    elseif (num == 2) then
        return "月曜日"
    elseif (num == 3) then
        return "火曜日"
    elseif (num == 4) then
        return "水曜日"
    elseif (num == 5) then
        return "木曜日"
    elseif (num == 6) then
        return "金曜日"
    else
        return "土曜日"
    end
end


-- 表示位置
local centerX    = display.contentCenterX
local dateY      = display.contentHeight * 0.2
local dayOfWeekY = display.contentHeight * 0.3
local timeY      = display.contentHeight * 0.5

-- 現在日時を取得
local now = os.date("*t")
-- 日付の表示
local dateString = string.format("%d年 %2d月 %2d日", now.year, now.month, now.day)
local dateText = display.newText(dateString, centerX, dateY, native.systemFont, 30)
-- 曜日の表示
local dayOfWeekText = display.newText(GetDayOfWeekText(now.wday), centerX, dayOfWeekY, native.systemFont, 30)
-- 時間の表示
local timeString = string.format("%02d時 %02d分 %02d秒", now.hour, now.min, now.sec)
local timeText = display.newText(timeString, centerX, timeY, native.systemFont, 36)


-----------------------------------------------------------------------------------------
-- 関数名 : UpdateDateTime
-- 内  容 : 表示日時を更新する
-- 戻り値 : なし
-----------------------------------------------------------------------------------------
local function UpdateDateTime()
    -- 現在日時を取得
    local now = os.date("*t")
    -- 日付の表示
    dateText.text = string.format("%d年 %2d月 %2d日", now.year, now.month, now.day)
    -- 曜日の表示
    dayOfWeekText.text = GetDayOfWeekText(now.wday)
    -- 時間の表示
    timeText.text = string.format("%02d時 %02d分 %02d秒", now.hour, now.min, now.sec)
end

-- 表示日時を一定間隔で更新用のタイマ
timer.performWithDelay(100, UpdateDateTime, -1)

